#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

Summary:	Filesystem that stores data in Google Storage, Amazon S3 etc
Name:		s3ql
Version:	2.28
Release:	6
License:	GPL v3
Group:		Applications/System
Source0:	https://bitbucket.org/nikratio/s3ql/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	3533a5608ce009a6b834853c7fc4cae4
URL:		https://bitbucket.org/nikratio/s3ql/
BuildRequires:	python3-Crypto
BuildRequires:	python3-Cython
BuildRequires:	python3-apsw >= 3.7.0
BuildRequires:	python3-defusedxml
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-dugong >= 3.2
BuildRequires:	python3-llfuse >= 0.39
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	rpm-pythonprov
%{?with_tests:BuildRequires:	python3-requests}
Requires:	python3-Crypto
Requires:	python3-apsw >= 3.7.0
Requires:	python3-defusedxml
Requires:	python3-dugong >= 3.2
Requires:	python3-llfuse >= 0.39
Requires:	python3-modules >= 1:3.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
S3QL is a file system that stores all its data online using storage
services like Google Storage, Amazon S3, or OpenStack. S3QL
effectively provides a hard disk of dynamic, infinite capacity that
can be accessed from any computer with internet access running Linux,
FreeBSD or OS-X.

%prep
%setup -q

%build
cython3 src/s3ql/deltadump.pyx

%{py3_build} \
	%{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT

%{py3_install}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes.txt README.rst
%attr(755,root,root) %{_bindir}/fsck.s3ql
%attr(755,root,root) %{_bindir}/mkfs.s3ql
%attr(755,root,root) %{_bindir}/mount.s3ql
%attr(755,root,root) %{_bindir}/s3ql*
%attr(755,root,root) %{_bindir}/umount.s3ql
%{py3_sitedir}/s3ql
%{py3_sitedir}/s3ql-%{version}-py*.egg-info
%{_mandir}/man1/*.1*
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/s3ql.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> c3415fc
- rebuild with separate debuginfo build-ids

* Wed Mar 03 2021 Jan Rękorajski <baggins@pld-linux.org> e286832
- release 5 (by relup.sh)

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 8034721
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 56df21d
- rebuild with python 3.8
- release 3 (by relup.sh)

* Fri May 24 2019 Elan Ruusamäe <glen@pld-linux.org> 92401bd
- use epoch 1 for python3 package

* Mon Jul 09 2018 Jan Rękorajski <baggins@pld-linux.org> ef944ee
- release 2 (by relup.sh)

* Thu Jul 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 483cdab
- up to 2.28

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c54915a
- release 7 (by relup.sh)

* Sat Dec 31 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b3c64d4
- md5

* Fri Dec 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 13ccad4
- rel 6; fix build

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b304ef
- python 3.6
- release 5 (by relup.sh)

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ba2ab4d
- python 3.5 rebuild
- release 4 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3727fb1
- tests needs python3-requests

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fe587c6
- release 3 (by relup.sh)

* Tue Oct 21 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> dbe9969
- versioned deps

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 45feea5
- python 3.4
- release 2 (by relup.sh)

* Wed Sep 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7407834
- up to 2.11.1

* Thu Jun 12 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d1bf05a
- rel 2; br python3-llfuse

* Thu Jun 12 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 833bc4b
- initial

